CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2019 开发者帮助

PickfirstSelectionSet 属性 (ActiveX)

2024-5-18 17:53| 发布者: admin| 查看: 17| 评论: 0|原作者: admin|来自: AutoCAD

PickfirstSelectionSet 属性 (ActiveX)

获取 pickfirst 选择集。

支持的平台:仅限 Windows

签名

VBA:

object.PickfirstSelectionSet
对象

类别: 文档

此属性应用于的对象。

属性值

只读:是的

类型:SelectionSet

pickfirst 选择集。

言论

没有其他评论。

例子

VBA:

Sub Example_PickfirstSelectionSet()
    ' This example lists all the objects in the pickfirst selection set.
    ' Before running this example, create some objects in the active
    ' drawing and select those objects. The objects currently selected
    ' in the active drawing will be returned in the pickfirst selection set.
            
    Dim pfSS As AcadSelectionSet
    Dim ssobject As AcadEntity
    Dim msg As String
    msg = ""
    
    Set pfSS = ThisDrawing.PickfirstSelectionSet
    For Each ssobject In pfSS
        msg = msg & vbCrLf & ssobject.ObjectName
    Next ssobject
    MsgBox "The Pickfirst selection set contains: " & msg
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_PickfirstSelectionSet()
    ;; This example lists all the objects in the pickfirst selection set.
    ;; Before running this example, create some objects in the active
    ;; drawing and select those objects. The objects currently selected
    ;; in the active drawing will be returned in the pickfirst selection set.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
            
    (setq msg ""
          pfSS (vla-get-PickfirstSelectionSet doc))
  
    (vlax-for ssobject pfSS
        (setq msg (strcat msg "\n" (vla-get-ObjectName ssobject)))
    )

    (alert (strcat "The Pickfirst selection set contains: " msg))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:12

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部